Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 443970 - media-plugins/banshee-community-extensions-2.4.0 - mirage-extension causes crashes
Summary: media-plugins/banshee-community-extensions-2.4.0 - mirage-extension causes cr...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: dotnet (DISBANDED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-19 23:32 UTC by Matthias Blümel
Modified: 2016-12-31 13:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (x86 and amd64) (emergeInfo.txt,22.77 KB, text/plain)
2012-11-20 10:17 UTC, Matthias Blümel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Blümel 2012-11-19 23:32:02 UTC
after emerging banshee-community-extension in version 2.4.0 banshee crashes when it is using the mirage-plugin. This happens to me for the x86 and the amd64 architecture.

This is the main reason, why I am using banshee, so i masked bce-2.4.0 and emerged bce-2.2.0. this works fine with banshee-2.4.1 and i can shuffle my library without breaking the style after each title.


[Info  23:51:23.991] [Streamrecorder.Gst.Marshaller] gstreamer version found: GStreamer 0.10.35

(Banshee:8318): GStreamer-CRITICAL **: gst_bin_get_by_interface: assertion `G_TYPE_IS_INTERFACE (iface)' failed
Missing method .ctor in assembly /usr/lib/banshee/Extensions/Banshee.Mirage.dll, type Typespec 0x1b000004
Missing method .ctor in assembly /usr/lib/banshee/Extensions/Banshee.Mirage.dll, type Typespec 0x1b000004
[Warn  23:52:29.833] Caught an exception - System.TypeLoadException: Could not load type 'System.Func`3' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'. (in `Banshee.Mirage')
  at Banshee.Mirage.MiragePlugin.DelayedInitialize () [0x00000] in <filename unknown>:0
  at Banshee.ServiceStack.ServiceManager.DelayedInitialize (IService service) [0x00000] in <filename unknown>:0
[Warn  23:52:29.834] Service `Banshee.Mirage.MiragePlugin' not initialized: Could not load type 'System.Func`3' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'.
Marshaling toggled signal
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.ArgumentException: MIRAGE_DISTANCE does not exist
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2012-11-20 00:15:13 UTC
Please post your `emerge --info' output in a comment.
Comment 2 Matthias Blümel 2012-11-20 07:48:14 UTC
desktop:
http://pastebin.com/0dTg95ft

laptop:
http://pastebin.com/Dwc3tNpz
Comment 3 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2012-11-20 09:21:49 UTC
Please place them in the comments here, links to external resources are not guaranteed to be permanent.
Comment 4 Matthias Blümel 2012-11-20 10:17:09 UTC
Created attachment 330046 [details]
emerge --info (x86 and amd64)
Comment 5 Pacho Ramos gentoo-dev 2012-11-24 10:22:23 UTC
Please report this to upstream also:
https://bugzilla.gnome.org/

and point the link here to track. Thanks
Comment 6 Matthias Blümel 2012-11-24 16:26:22 UTC
https://bugzilla.gnome.org/show_bug.cgi?id=688979
Comment 7 Pacho Ramos gentoo-dev 2016-12-31 13:55:14 UTC
dropped